Package org.eclipse.net4j.protocol

# Interface IProtocol2<INFRA_STRUCTURE>

All Superinterfaces:
  `IBufferHandler`, `ILocationAware`, `IProtocol<INFRA_STRUCTURE>`, `org.eclipse.net4j.util.security.IUserAware`

All Known Subinterfaces:
  `IProtocol3<INFRA_STRUCTURE>`

All Known Implementing Classes:
  `AuthenticatingSignalProtocol`, `HeartBeatProtocol`, `HeartBeatProtocol.Server`, `Protocol`, `SignalProtocol`

public interface IProtocol2<INFRA_STRUCTURE> extends IProtocol<INFRA_STRUCTURE>
A `versioned` `protocol`.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`UNSPECIFIED_VERSION`

## Method Summary

Modifier and Type
Method
Description
`int`
`getVersion()`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

`handleBuffer`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

`getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Field Details

### UNSPECIFIED_VERSION

static final int UNSPECIFIED_VERSION

See Also:
  - Constant Field Values

## Method Details

### getVersion

int getVersion()